import * as core from "@terrascript/core";

export interface ConnectionRouteArgs extends core.ResourceArgs {
  destinationCidrBlock: string | core.StringOut;

  vpnConnectionId: string | core.StringOut;
}

export class ConnectionRoute extends core.Resource<ConnectionRouteArgs> {
  @core.attr(String)
  public destinationCidrBlock!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public vpnConnectionId!: string | core.StringOut;

  constructor(name: string, args?: ConnectionRouteArgs) {
    super(name, "aws_vpn_connection_route", args);
  }

  public override getNamespace(): string {
    return "aws_vpn";
  }
}
